CVE-2023-1862

Name
CVE-2023-1862
Description
Cloudflare WARP client for Windows (up to v2023.3.381.0) allowed a malicious actor to remotely access the warp-svc.exe binary due to an insufficient access control policy on an IPC Named Pipe. This would have enabled an attacker to trigger WARP connect and disconnect commands, as well as obtaining network diagnostics and application configuration from the target's device. It is important to note that in order to exploit this, a set of requirements would need to be met, such as the target's device must've been reachable on port 445, allowed authentication with NULL sessions or otherwise having knowledge of the target's credentials.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://developers.cloudflare.com/warp-client/get-started/windows/
MISC https://github.com/cloudflare/advisories/security/advisories/GHSA-q55r-53c8-5642
MISC https://install.appcenter.ms/orgs/cloudflare/apps/1.1.1.1-windows-1/distribution_groups/release

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:cloudflare:warp:*:*:*:*:*:windows:*:* warp >= None <= 2023.3.381.0

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
warp 3.18-community 0.5.4-r0 knuxify <knuxify@gmail.com> possibly vulnerable
warp 3.19-community 0.6.2-r0 knuxify <knuxify@gmail.com> possibly vulnerable
warp edge-community 0.7.0-r0 knuxify <knuxify@gmail.com> possibly vulnerable
warp 3.20-community 0.7.0-r0 knuxify <knuxify@gmail.com> possibly vulnerable